aspose file tools*
The moose likes Struts and the fly likes Getting error...Is this a version problem? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Frameworks » Struts
Bookmark "Getting error...Is this a version problem?" Watch "Getting error...Is this a version problem?" New topic
Author

Getting error...Is this a version problem?

abhi singhal
Greenhorn

Joined: Oct 20, 2007
Posts: 6
Hi All,

I need help on one of my struts application.

below mentioned is the jsp file I am invoking "Login.jsp"
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html-el" %>
:
:
:
<html:form action="/login">
<html:text property="username"/>
</html:form>

On running this jsp on weblogic I am getting below mentioned error
"/Pages/Index.jsp(1): Could not parse deployment descriptor: java.io.IOException: cannot resolve 'http://struts.apache.org/tags-html-el' into a valid tag library
probably occurred due to an error in /Pages/Index.jsp line 1:
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html-el" %> "

Please confirm if this is a versioning error.

Regards,
Abhinav
Merrill Higginson
Ranch Hand

Joined: Feb 15, 2005
Posts: 4864
This error could be the result of not having the necessary jar files in your classpath. Make sure that struts-taglib-1.3.x.jar is in your WEB-INF/lib folder.


Merrill
Consultant, Sima Solutions
 
Don't get me started about those stupid light bulbs.
 
subject: Getting error...Is this a version problem?